.calc-pd {
	/* margin: 48px 0; */
	width: 100%;
	position: relative;
}

.calc-pd_loading:after {
	content: "";
	display: block;
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: rgba(255, 255, 255, 0.5);
	top: 0;
	left: 0;
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100"><path fill="%23ad5a55" d="M73 50c0-12.7-10.3-23-23-23S27 37.3 27 50m3.9 0c0-10.5 8.5-19.1 19.1-19.1S69.1 39.5 69.1 50"><animateTransform attributeName="transform" attributeType="XML" type="rotate" dur="1s" from="0 50 50" to="360 50 50" repeatCount="indefinite"/></path></svg>');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 20%;
}



.calc-pd_hidden {
	display: none;
}

.calc-pd__group {
	margin: 16px 0;
}

.calc-pd__group:before {
	content: "";
	display: block;
	border-bottom: 1px solid #ad5a55;
	width: 100%;
	left: 0;
	position: relative;

}

.calc-pd__group-title {
	font-size: 14px;
	color: #fff;
	display: inline-block;
	width: 180px;
	padding: 2px 8px;
	background: #ad5a55;
	vertical-align: top;
	text-align: center;
}


.calc-pd__sections {
	display: flex;
	flex: 1 1 0;
	flex-wrap: wrap;
	justify-content: flex-end;
}

.calc-pd__section {
	width: 50%;
	display: flex;
	position: relative;
}

.calc-pd__section_disabled:after {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	background: #fefdfd;
	opacity: 0.86;
}

.calc-pd__section_hidden {
	display: none;
}

.calc-pd__section-title {
	color: #333;
	transform: translateY(-16px);
	padding-right: 24px;
	width: 26%;
	margin-top: 36px;
	display: flex;
	justify-content: flex-end;
	height: 48px;

	align-items: center;
	text-align: right;
	font-size: 14px;
}

.calc-pd__section-name {
	width: 100%;
}

.calc-pd__section-name_required {
	position: relative;
}

.calc-pd__section-name_required:before {
	content: "*";
	display: block;
	position: absolute;
	color: #9b2d30;
	right: -10px;
	top: -2px;
}

.calc-pd__inputs {
	display: flex;
	flex-wrap: wrap;
	width: 74%;
}

.calc-pd__input {
	width: 100%;
	box-sizing: border-box;
	padding-right: 80px;
}

.calc-pd__input_pattern {
	display: none;
}


.calc-pd__input_multi {}

.calc-pd__input-title {
	display: flex;

	color: #7f7f7f;
	font-size: 13px;
}

.calc-pd__input_active .calc-pd__input-title {
	color: #000;
}

.calc-pd__input-name {
	flex-grow: 1;
}

.calc-pd__input-name-value {}



.calc-pd__input-required {
	white-space: nowrap;
	font-size: 11px;
	color: #ad5a55;
	font-weight: 400;
}

.calc-pd__input-cost {
	text-align: right;
}

.calc-pd__input-cost {
	white-space: nowrap;
}

.calc-pd__input-cost {}

.calc-pd__input-price {
	text-align: right;
}

.calc-pd__input-multi {
	position: relative;
	display: flex;
}

.calc-pd__input-value {
	margin: 2px 0 8px;
	width: 100%;
	position: relative;
}

.calc-pd__select-value_open .calc-pd__select-icon {
	transform: scale(1, -1);
}

.calc-pd__select {
	height: 48px;
	display: flex;
	align-items: center;
	padding: 0 48px 0 8px;
	border: 1px solid #acacac;
	color: #7f7f7f;
	font-size: 16px;
	box-sizing: border-box;
	cursor: pointer;
	background-color: #fff;
	line-height: 1.2;
	overflow: hidden;
}

.calc-pd__select_right {
	justify-content: flex-end;
	padding-right: 16px;
}

.calc-pd__select_error {
	border-color: #ff0000;
}

.calc-pd__input-value_active .calc-pd__select {
	color: #000;
}

.calc-pd__select-value {
	box-shadow: 0 11px 26px -8px #646361;
	display: none;
	position: absolute;
	width: 100%;
	background: #ffffff;
	z-index: 1;
	padding: 4px 0;
}

.calc-pd__select-option {
	display: flex;
	align-items: center;
	padding: 8px 12px;
	font-weight: 400;
	font-size: 16px;
	transition: .3s ease;
	cursor: pointer;
	color: #000;
	justify-content: space-between;
}

.calc-pd__select-price {
	white-space: nowrap;
	color: #aaa;
	font-size: 12px;
	padding-left: 8px;
}

.calc-pd__select-option:hover {
	background: #f5f3ee;
}

.calc-pd__select-action {
	position: absolute;
	bottom: 8px;
	right: -96px;
	width: 96px;
	font-size: 0;

}

.calc-pd__select-btn {
	width: 32px;
	height: 32px;
	display: inline-block;
	vertical-align: top;
	margin: 0 4px;
	border-radius: 16px;
	cursor: pointer;
	font-size: 24px;
	color: #fff;
	line-height: 1;
	text-align: center;
	padding: 4px;
	box-sizing: border-box;
	display: none;
	background: #eee;
}

.calc-pd__select-btn_add {}

.calc-pd__select-btn_remove {}


.calc-pd__select-icon {
	position: absolute;
	width: 24px;
	height: 24px;
	top: 12px;
	right: 16px;
	font-size: 24px;
	line-height: 24px;
	pointer-events: none;
	color: #ad5a55;
	transition: transform 0.2s ease;
}

.calc-pd__footer {
	display: flex;
	flex-direction: row-reverse;
	align-items: center;
	width: 100%;
	border-bottom: 1px solid #ad5a55;
}

.calc-pd__footer-action {
	width: 29%;
	padding-right: 80px;
}

.calc-pd__order {
	color: #ffffff;
	background: #ad5a55;
	text-transform: uppercase;
	display: flex;
	height: 48px;
	cursor: pointer;
	align-items: center;
	justify-content: center;
	text-align: center;
	transition: all 0.2s ease;
}

.calc-pd__order:hover {
	background: #814340;
}

.calc-pd__footer-total {
	color: #ad5a55;
	font-size: 22px;
	font-weight: 600;
	padding-right: 24px;
}

.calc-pd__form {
	width: 100%;
	max-width: 416px;
}

.calc-pd__detail-option {
	margin-top: 8px;
	font-size: 12px;
	color: #666;
	display: none;
}

.calc-pd__detail-option ol li {
	font-size: 12px;
	line-height: 1.2;
	color: #999;
}

.calc-pd__detail-option_active {
	display: block;
}

.calc-pd__footnote {
	margin-top: 12px;
	font-size: 14px;
}

.calc-pd__star {
	color: #9b2d30;
}

.calc-pd__error {
	color: #eb5a46;
	margin-top: 4px;
	font-size: 12px;
	display: none;
}

.calc-pd__error_active {
	display: block;
}

@media screen and (min-width:1382px) {}


@media screen and (min-width:1024px) and (max-width: 1382px) {}


@media screen and (max-width: 1024px) {
	.calc-pd__section-title {
		width: 100%;
		justify-content: flex-start;
		margin-top: 16px;
		height: auto;
		transform: translateY(0);
		text-align: left;
	}

	.calc-pd__section-name_required:before {
		display: inline;
		position: static;
	}

	.calc-pd__inputs {
		width: 100%;
	}

	.calc-pd__input {
		padding-right: 0;
	}

	.calc-pd__input_multi {
		padding-right: 80px;
	}

	.calc-pd__section {
		width: 100%;
		flex-direction: column;
	}

	.calc-pd__footer-action {
		padding-right: 0;
	}

}


@media screen and (max-width: 768px) {
	.calc-pd__footer {
		flex-direction: column-reverse;
		border: none;
	}

	.calc-pd__footer-action {
		width: 80%;
	}

	.calc-pd__order {
		margin-top: 16px;
	}

}